summaryrefslogtreecommitdiff
path: root/scripts/postinst-intercepts/update_pixbuf_cache
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/postinst-intercepts/update_pixbuf_cache')
-rw-r--r--scripts/postinst-intercepts/update_pixbuf_cache9
1 files changed, 5 insertions, 4 deletions
diff --git a/scripts/postinst-intercepts/update_pixbuf_cache b/scripts/postinst-intercepts/update_pixbuf_cache
index bd94fe88dd..5d44075fb4 100644
--- a/scripts/postinst-intercepts/update_pixbuf_cache
+++ b/scripts/postinst-intercepts/update_pixbuf_cache
@@ -1,10 +1,11 @@
#!/bin/sh
+set -e
+
export GDK_PIXBUF_MODULEDIR=$D${libdir}/gdk-pixbuf-2.0/2.10.0/loaders
+export GDK_PIXBUF_FATAL_LOADER=1
PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D/${libdir}:$D/${base_libdir}\
- $D${bindir}/gdk-pixbuf-query-loaders \
- >$GDK_PIXBUF_MODULEDIR/../loaders.cache 2>/dev/null && \
+ $D${libdir}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
+ >$GDK_PIXBUF_MODULEDIR/../loaders.cache && \
sed -i -e "s:$D::g" $GDK_PIXBUF_MODULEDIR/../loaders.cache
-
-